Voxengo Premium Membership - All Voxengo Plugins For a Fixed One-Time Fee
Forums     Discussions     Announces, Releases and Discussions Voxengo to discontinue development for Mac OS X 10.4, PowerPC and non-SSE2 computers


Dear Voxengo users,

We would like to inform you that starting September, 2011 we are planning to discontinue development of Voxengo software for Mac OS X 10.4, PowerPC and non-SSE2 compatible computers.  This change applies to future software updates only.

We have to discontinue support of Mac OS X 10.4 since we would like to focus on 64-bit Cocoa Mac OS X development.  But due to certain incompatibilities between Mac OS X 10.4 and latest Mac OS X versions we are unable to produce Mac OS X software in a single "universal binary" package that works on both Mac OS X 10.4 and Mac OS X 10.6.  The positive outcome of this decision is that starting September, 2011 we will be offering 64-bit Mac OS X software.

PowerPC support will be discontinued since the userbase of PowerPC Macintosh computers is diminishing quickly.

We would also like to discontinue support of non-SSE2 compatible computers since nowadays most desktop and notebook computers have SSE2-compatible processors installed in them.  Only the older processors like Pentium 3 and Athlon XP will be affected by this change.  SSE2-enabled Voxengo plug-ins were benchmarked by us to be about 10% more efficient in comparison to non-SSE2 versions, thanks to Intel C++ optimizing compiler we use for development.

Best regards,

Aleksey Vaneev.

This topic was last updated 180 days ago, and thus it was archived.  Replying is disabled for this topic.